package com.bbyb.operating.examination.controller;

import com.bbyb.operating.examination.model.po.Role;
import com.bbyb.operating.examination.model.po.User;
import com.bbyb.operating.examination.model.po.UserReq;
import com.bbyb.operating.examination.model.vo.CommonResult;
import com.bbyb.operating.examination.service.UserService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.xml.transform.Result;
import java.util.List;

/**
 * 账号
 * className: UserController
 * datetime: 2023/2/10 14:28
 * author: lx
 */
@RestController()
@RequestMapping("/user")
public class UserController {

    @Autowired
    private UserService userService;

    @PostMapping(value = "add")
    public CommonResult<Boolean> addUser(@RequestBody UserReq userReq){
        if(userReq == null){
            return new CommonResult<>(601, "用户信息不能为空");
        }

        if(StringUtils.isBlank(userReq.getUserCode())){
            return new CommonResult<>(601, "用户编码不能为空");
        }

        if(StringUtils.isBlank(userReq.getUserName())){
            return new CommonResult<>(601, "用户名不能为空");
        }

        if(StringUtils.isBlank(userReq.getPhone())){
            return new CommonResult<>(601, "用户手机号不能为空");
        }

        if(StringUtils.isBlank(userReq.getPassword())){
            return new CommonResult<>(601, "用户密码不能为空");
        }

        String errorMsg = userService.addUser(userReq);
        if(StringUtils.isNotEmpty(errorMsg)){
            return new CommonResult<>(603, errorMsg);
        }
        return new CommonResult<>(true);
    }


    @PostMapping("/allUser")
    public List<User> getAllUser(){
        return userService.getAllUser();
    }

    @PostMapping("/findUser")
    public User findUser(@RequestBody UserReq userReq){
        return userService.findUser(userReq);
    }

    @PostMapping("/deleteUser")
    public CommonResult<Boolean> deleteUser(@RequestBody UserReq userReq){
        return new CommonResult<>(userService.deleteUser(userReq));
    }

}



