package com.bbyb.operating.examination.model.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.Date;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "user")
public class User {
    private Integer id;

    private String userCode;

    private String userName;

    private String phone;

    private String password;

    private String email;

    private String idCard;

    private Integer gender;

    private Integer isAdmin;

    private Integer isEnable;

    private String createBy;

    private LocalDateTime createTime;

    private String updateBy;

    private LocalDateTime updateTime;

    private Integer invalid;

    public static User builUser(UserReq userReq) {
        return User.builder()
                .userCode(userReq.getUserCode())
                .userName(userReq.getUserName())
                .phone(userReq.getPhone())
                .password(userReq.getPassword())
                .email(userReq.getEmail())
                .idCard(userReq.getIdCard())
                .gender(userReq.getGender())
                .isAdmin(userReq.getIsAdmin())
                .isEnable(userReq.getIsEnable())
                .createBy(userReq.getCreateBy())
                .createTime(userReq.getCreateTime())
                .updateBy(userReq.getUpdateBy())
                .updateTime(userReq.getUpdateTime())
                .invalid(userReq.getInvalid())
                .build();
    }
}
