package com.bbyb.operating.examination.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bbyb.operating.examination.mapper.RoleUserMapper;
import com.bbyb.operating.examination.mapper.UserMapper;
import com.bbyb.operating.examination.model.po.RoleUser;
import com.bbyb.operating.examination.model.po.User;
import com.bbyb.operating.examination.model.po.UserReq;
import com.bbyb.operating.examination.service.RoleUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class RoleUserServiceImpl extends ServiceImpl<RoleUserMapper, RoleUser> implements RoleUserService {
    @Autowired
    private RoleUserMapper roleUserMapper;
    @Autowired
    private UserMapper userMapper;

    @Override
    public int deleteByPrimaryKey(Integer id) {
        int i = roleUserMapper.deleteByPrimaryKey(id);
        if(i > 0){
            return 1;
        }
        return 0;
    }

    @Override
    public int insert(RoleUser row) {
        if(roleUserMapper.insert(row) > 0){
            return 1;
        }
        return 0;
    }

    @Override
    public RoleUser selectByPrimaryKey(Integer id) {
        if(roleUserMapper.selectByPrimaryKey(id) != null){
            return roleUserMapper.selectByPrimaryKey(id);
        }
        return null;
    }

    @Override
    public List<RoleUser> selectAll() {
        if(roleUserMapper.selectAll() != null){
            return roleUserMapper.selectAll();
        }
        return null;
    }

    @Override
    public int updateByPrimaryKey(RoleUser row) {
        if(roleUserMapper.updateByPrimaryKey(row) > 0){
            return 1;
        }
        return 0;
    }

    @Override
    public RoleUser findRoleUser(UserReq userReq) {
        User user = userMapper.selectByPrimaryKey(userReq.getId());
        if(user != null){
            LambdaQueryWrapper<RoleUser> roleUserLambdaQueryWrapper = new LambdaQueryWrapper<>();
            roleUserLambdaQueryWrapper.eq(RoleUser::getUserId,user.getId());
            return getOne(roleUserLambdaQueryWrapper);
        }
        return null;
    }
}
