package com.bbyb.operating.examination.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bbyb.operating.examination.mapper.RoleUserMapper;
import com.bbyb.operating.examination.mapper.UserMapper;
import com.bbyb.operating.examination.model.po.RoleUser;
import com.bbyb.operating.examination.model.po.User;
import com.bbyb.operating.examination.model.po.UserReq;
import com.bbyb.operating.examination.service.RoleUserService;
import com.bbyb.operating.examination.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 账号服务
 * className: UserServiceImpl
 * datetime: 2023/2/10 14:29
 * author: lx
 */
@Service
public class UserServiceImpl extends ServiceImpl<UserMapper, User> implements UserService {

    @Autowired
    private UserMapper userMapper;
    @Autowired
    private RoleUserMapper roleUserMapper;
    @Autowired
    private RoleUserService roleUserService;

    @Override
    public String addUser(UserReq userReq) {
        User user = User.builUser(userReq);
        user.setId(0);
        User user1 = findUser(userReq);
        if(user1 != null){
            return "用户信息存在";
        }
        int userId = userMapper.insert(user);
        if(userId > 0){
            RoleUser roleUser = new RoleUser();
            roleUser.setUserId(userId);
            roleUser.setRoleId(userReq.getRoleId());
            roleUser.setId(0);
            int insert = roleUserMapper.insert(roleUser);
            if(insert > 0){
                return "保存用户信息成功";
            }
        }
        return "保存用户信息失败";
    }

    @Override
    public List<User> getAllUser() {
        return userMapper.selectAll();
    }

    @Override
    public User findUser(UserReq userReq) {
        LambdaQueryWrapper<User> userLambdaQueryWrapper = new LambdaQueryWrapper<>();
        userLambdaQueryWrapper.eq(User::getUserCode,userReq.getUserCode());
        return getOne(userLambdaQueryWrapper);
    }

    @Override
    public Boolean deleteUser(UserReq userReq) {
        if(userReq.getUserCode() != null){
            User user = findUser(userReq);
            int i = userMapper.deleteByPrimaryKey(user.getId());
            if(i > 0){
                roleUserService.findRoleUser(userReq);
            }
        }
        return null;
    }


}
